For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign inTry it free
DocsGuidesSDKsIntegrationsAPI docsTutorialsFlagship blog
DocsGuidesSDKsIntegrationsAPI docsTutorialsFlagship blog
  • REST API overview
    • Access Tokens
    • Account Members
    • Account Usage Beta
    • AI Configs
    • Announcements
    • Applications Beta
    • Approvals
    • Approvals Beta
    • Audit Log
    • Code References
    • Contexts
    • Context Settings
    • Custom Roles
    • Data Export Destinations
    • Environments
    • Experiments
    • Feature Flags
    • Feature Flags Beta
    • Flag Import Configurations Beta
    • Flag Links Beta
    • Flag Triggers
    • Follow Flags
    • Holdouts Beta
    • Insights Charts Beta
    • Insights Deployments Beta
    • Insights Flag Events Beta
    • Insights Pull Requests Beta
    • Insights Repositories Beta
    • Insights Scores Beta
    • Integration Audit Log Subscriptions
    • Integration Delivery Configurations Beta
    • Integrations Beta
    • Layers
    • Metrics
    • Metrics Beta
    • OAuth2 Clients
    • Persistent Store Integrations Beta
    • Projects
    • Relay Proxy Configurations
    • Release Pipelines Beta
    • Releases Beta
    • Scheduled Changes
    • Segments
    • Tags
    • Teams
    • Teams Beta
    • Users
    • Users Beta
    • User Settings
    • Views Beta
    • Webhooks
    • Workflows
    • Workflow Templates
    • Other
      • POSTCreate a release policy
      • DELDelete a release policy
      • GETGet a release policy by key
      • GETList release policies
      • PUTUpdate a release policy
      • POSTUpdate the order of existing release policies
Sign inTry it free
LogoLogo
REST API overviewRelease Policies Beta

List release policies

GET
/api/v2/projects/:projectKey/release-policies
GET
/api/v2/projects/:projectKey/release-policies
$curl -G https://app.launchdarkly.com/api/v2/projects/default/release-policies \
> -H "LD-API-Version: beta" \
> -H "Authorization: <apiKey>" \
> -d excludeDefault=false
1{
2 "items": [
3 {
4 "_id": "550e8400-e29b-41d4-a716-446655440000",
5 "rank": 1,
6 "releaseMethod": "guarded-release",
7 "name": "Production Release",
8 "key": "production-release",
9 "_access": {
10 "allowed": [
11 {
12 "action": "action",
13 "reason": {
14 "effect": "allow",
15 "resources": [
16 "proj/*:env/*;qa_*:/flag/*"
17 ],
18 "notResources": [
19 "notResources",
20 "notResources"
21 ],
22 "actions": [
23 "*"
24 ],
25 "notActions": [
26 "string",
27 "string"
28 ],
29 "role_name": "role_name"
30 }
31 },
32 {
33 "action": "action",
34 "reason": {
35 "effect": "allow",
36 "resources": [
37 "proj/*:env/*;qa_*:/flag/*"
38 ],
39 "notResources": [
40 "notResources",
41 "notResources"
42 ],
43 "actions": [
44 "*"
45 ],
46 "notActions": [
47 "string",
48 "string"
49 ],
50 "role_name": "role_name"
51 }
52 }
53 ],
54 "denied": [
55 {
56 "action": "action",
57 "reason": {
58 "effect": "allow",
59 "resources": [
60 "proj/*:env/*;qa_*:/flag/*"
61 ],
62 "notResources": [
63 "notResources",
64 "notResources"
65 ],
66 "actions": [
67 "*"
68 ],
69 "notActions": [
70 "string",
71 "string"
72 ],
73 "role_name": "role_name"
74 }
75 },
76 {
77 "action": "action",
78 "reason": {
79 "effect": "allow",
80 "resources": [
81 "proj/*:env/*;qa_*:/flag/*"
82 ],
83 "notResources": [
84 "notResources",
85 "notResources"
86 ],
87 "actions": [
88 "*"
89 ],
90 "notActions": [
91 "string",
92 "string"
93 ],
94 "role_name": "role_name"
95 }
96 }
97 ]
98 },
99 "scope": {
100 "environmentKeys": [
101 "production",
102 "staging"
103 ],
104 "flagTagKeys": [
105 "frontend",
106 "backend"
107 ],
108 "viewKeys": [
109 "feature-a",
110 "team-a"
111 ]
112 },
113 "guardedReleaseConfig": {
114 "rolloutContextKindKey": "user",
115 "minSampleSize": 100,
116 "rollbackOnRegression": true,
117 "metricKeys": [
118 "http-errors",
119 "latency"
120 ],
121 "metricGroupKeys": [
122 "frontend-metrics",
123 "backend-metrics"
124 ],
125 "stages": [
126 {
127 "allocation": 25000,
128 "durationMillis": 60000
129 },
130 {
131 "allocation": 25000,
132 "durationMillis": 60000
133 }
134 ]
135 },
136 "progressiveReleaseConfig": {
137 "rolloutContextKindKey": "user",
138 "stages": [
139 {
140 "allocation": 25000,
141 "durationMillis": 60000
142 },
143 {
144 "allocation": 25000,
145 "durationMillis": 60000
146 }
147 ]
148 }
149 },
150 {
151 "_id": "550e8400-e29b-41d4-a716-446655440000",
152 "rank": 1,
153 "releaseMethod": "guarded-release",
154 "name": "Production Release",
155 "key": "production-release",
156 "_access": {
157 "allowed": [
158 {
159 "action": "action",
160 "reason": {
161 "effect": "allow",
162 "resources": [
163 "proj/*:env/*;qa_*:/flag/*"
164 ],
165 "notResources": [
166 "notResources",
167 "notResources"
168 ],
169 "actions": [
170 "*"
171 ],
172 "notActions": [
173 "string",
174 "string"
175 ],
176 "role_name": "role_name"
177 }
178 },
179 {
180 "action": "action",
181 "reason": {
182 "effect": "allow",
183 "resources": [
184 "proj/*:env/*;qa_*:/flag/*"
185 ],
186 "notResources": [
187 "notResources",
188 "notResources"
189 ],
190 "actions": [
191 "*"
192 ],
193 "notActions": [
194 "string",
195 "string"
196 ],
197 "role_name": "role_name"
198 }
199 }
200 ],
201 "denied": [
202 {
203 "action": "action",
204 "reason": {
205 "effect": "allow",
206 "resources": [
207 "proj/*:env/*;qa_*:/flag/*"
208 ],
209 "notResources": [
210 "notResources",
211 "notResources"
212 ],
213 "actions": [
214 "*"
215 ],
216 "notActions": [
217 "string",
218 "string"
219 ],
220 "role_name": "role_name"
221 }
222 },
223 {
224 "action": "action",
225 "reason": {
226 "effect": "allow",
227 "resources": [
228 "proj/*:env/*;qa_*:/flag/*"
229 ],
230 "notResources": [
231 "notResources",
232 "notResources"
233 ],
234 "actions": [
235 "*"
236 ],
237 "notActions": [
238 "string",
239 "string"
240 ],
241 "role_name": "role_name"
242 }
243 }
244 ]
245 },
246 "scope": {
247 "environmentKeys": [
248 "production",
249 "staging"
250 ],
251 "flagTagKeys": [
252 "frontend",
253 "backend"
254 ],
255 "viewKeys": [
256 "feature-a",
257 "team-a"
258 ]
259 },
260 "guardedReleaseConfig": {
261 "rolloutContextKindKey": "user",
262 "minSampleSize": 100,
263 "rollbackOnRegression": true,
264 "metricKeys": [
265 "http-errors",
266 "latency"
267 ],
268 "metricGroupKeys": [
269 "frontend-metrics",
270 "backend-metrics"
271 ],
272 "stages": [
273 {
274 "allocation": 25000,
275 "durationMillis": 60000
276 },
277 {
278 "allocation": 25000,
279 "durationMillis": 60000
280 }
281 ]
282 },
283 "progressiveReleaseConfig": {
284 "rolloutContextKindKey": "user",
285 "stages": [
286 {
287 "allocation": 25000,
288 "durationMillis": 60000
289 },
290 {
291 "allocation": 25000,
292 "durationMillis": 60000
293 }
294 ]
295 }
296 }
297 ],
298 "totalCount": 42
299}
Get a list of release policies for the specified project with optional filtering.
Was this page helpful?
Previous

Update a release policy

Next
Built with

Authentication

Authorizationstring
API Key authentication via header

Path parameters

projectKeystringRequired
The project key

Headers

LD-API-VersionenumRequired
Version of the endpoint.
Allowed values:

Query parameters

excludeDefaultbooleanOptionalDefaults to false
When true, exclude the default release policy from the response. When false or omitted, include the default policy if an environment filter is present.

Response

List of release policies
itemslist of objects
List of release policies
totalCountinteger
Total number of release policies

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error